> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trending Song

> Get Trending Song



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/song
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/song:
    get:
      tags:
        - Trending
      summary: Get Trending Song
      description: Get Trending Song
      operationId: getApiTrendingSong
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
            description: Page
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: Number of items per page (maximum is 20)
            example: 20
            maximum: 20
        - in: query
          name: period
          schema:
            type: number
            default: 7
            description: |2-

                      Period in days:
                      - 7: Last 7 days
                      - 30: Last 30 days
                      - 120: Last 120 days
                      
            enum:
              - 7
              - 30
              - 120
            example: 7
        - in: query
          name: country
          schema:
            type: string
            description: >-
              Country code. Head
              [here](https://gist.githubusercontent.com/apiboxguru/21d1cff1bef7732d9533389cb540541f/raw/6669d1e0025b67e8c7a0a1649cd8c75c5d5d2803/tiktok_trending_support_countries_with_codes.json)
              for a full list of supported countries
            default: US
            example: US
        - in: query
          name: rank_type
          schema:
            type: string
            description: |2-

                      Rank type:
                      - popular: Popular
                      - surging: Breakout
                    
            enum:
              - popular
              - surging
            default: popular
            example: popular
        - in: query
          name: new_on_board
          schema:
            type: string
            description: Is new on board
            enum:
              - 'true'
              - 'false'
            default: 'false'
            example: 'false'
        - in: query
          name: commercial_music
          schema:
            type: string
            description: Is commercial music
            enum:
              - 'true'
              - 'false'
            default: 'false'
            example: 'false'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          has_more:
                            type: boolean
                            description: ''
                            example: true
                          page:
                            type: number
                            description: ''
                            example: 1
                          size:
                            type: number
                            description: ''
                            example: 20
                          total_count:
                            type: number
                            description: ''
                            example: 500
                      sound_list:
                        type: array
                        items:
                          type: object
                          properties:
                            author:
                              type: string
                              description: ''
                              example: Mj_splatt
                            clip_id:
                              type: string
                              description: ''
                              example: '7570482709841037328'
                            country_code:
                              type: string
                              description: ''
                              example: US
                            cover:
                              type: string
                              description: ''
                              example: >-
                                https://p16-sg.tiktokcdn.com/aweme/720x720/tos-alisg-v-2774/oMvpDABpEBBiAA3mftCgEMAioePpWHQX9t7ZQy.jpeg
                            duration:
                              type: number
                              description: ''
                              example: 60
                            if_cml:
                              type: boolean
                              description: ''
                              example: false
                            is_search:
                              type: boolean
                              description: ''
                              example: false
                            link:
                              type: string
                              description: ''
                              example: >-
                                https://www.tiktok.com/music/x-7570482709841037328
                            on_list_times:
                              type:
                                - string
                                - 'null'
                              description: ''
                              example: null
                            promoted:
                              type: boolean
                              description: ''
                              example: false
                            rank:
                              type: number
                              description: ''
                              example: 1
                            rank_diff:
                              type: number
                              description: ''
                              example: 0
                            rank_diff_type:
                              type: number
                              description: ''
                              example: 2
                            related_items:
                              type: array
                              items:
                                type: object
                                properties:
                                  item_id:
                                    type: number
                                    description: ''
                                    example: 7579116406923480000
                                  cover_uri:
                                    type: string
                                    description: ''
                                    example: >-
                                      https://p16-sign-va.tiktokcdn.com/tos-maliva-p-0068c799-us/oAIf8NjIQHAeLQBcGSQApgPfkCLp03XGNbs1iI~tplv-noop.image?dr=18692&refresh_token=3cf2bd9f&x-expires=1765830304&x-signature=WTXEqnMXadVwzw4t4iCCAIYGWvU%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my
                            song_id:
                              type: string
                              description: ''
                              example: '7570493055201658881'
                            title:
                              type: string
                              description: ''
                              example: Justfallinlovewme
                            trend:
                              type: array
                              items:
                                type: object
                                properties:
                                  time:
                                    type: number
                                    description: ''
                                    example: 1765152000
                                  value:
                                    type: number
                                    description: ''
                                    example: 0.86
                            url_title:
                              type: string
                              description: ''
                              example: Justfallinlovewme
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````